<?
session_start();
if(empty($login)){
print "<script>top.location.href='index.html';</script>";
}
?>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<body bgcolor=#dedede topmargin=2>
<?
include "conf.php";
/* include "functions.php"; */
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
if (ereg("[<>\\/-]",$act) or ereg("[<>\\/-]",$level) or ereg("[<>\\/-]",$prof) or ereg("[<>\\/-]",$conf) or ereg("[<>\\/-]",$log)) {print "?!"; exit();}
$act=htmlspecialchars($act);
$level=htmlspecialchars($level);
$prof=htmlspecialchars($prof);
$conf=htmlspecialchars($conf);
$log=htmlspecialchars($log);
$sql = "SELECT * FROM users WHERE login='$login'";
$result = mysql_query($sql);
$db = mysql_fetch_array($result);
$city=$db["city"];

 /*	if($city != "Dream Town"){
     print "<script>location.href='index.php'</script>";
    }
*/
if(empty($act)){$act = "profession";}
if($act == "none"){$act = "profession";}


?>

<table border=0 width=100% cellpadding=0 cellspacing=0 height=20>
<tr>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_l_t.gif'></td></tr>
<tr><Td><img src='img/cor_l_b.gif'></td></tr>
</table>
</td>
<td bgcolor=#cccccc><B>Кадровый отдел</B>
</td>
<tD align=right bgcolor=#cccccc>
<?
$s="select money from users where login='$login'";
$q=mysql_query($s);
$r=mysql_fetch_array($q);
$money1=$r["money"];
$money = sprintf ("%01.2f", $money1);
?>
<B>У вас в наличии: <FONT COLOR=339900><?echo $money;?></font> кр.</B>
</td>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_r_t.gif'></td></tr>
<tr><Td><img src='img/cor_r_b.gif'></td></tr>
</table>
</td>
</tr>
</table>
<BR>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc>&nbsp</td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc><TR><TD>
<center>
<?
if($act=="profession" or $act=="reg_prof" OR $act=="fire" OR $act=="archive_prof"){
?>
<input type=button class=b value=" Правила " onClick="location.href='cityhall.php?act=profession';">
&nbsp&nbsp&nbsp&nbsp&nbsp
<input type=button class=b value=" Получить профессию " onClick="location.href='cityhall.php?act=reg_prof';">
&nbsp&nbsp&nbsp&nbsp&nbsp
<input type=button class=b value=" Уволиться " onClick="location.href='cityhall.php?act=fire';">
&nbsp&nbsp&nbsp&nbsp&nbsp
<input type=button class=b value=" Архив " onClick="location.href='cityhall.php?act=archive_prof';">
&nbsp&nbsp&nbsp&nbsp&nbsp
<input type=button class=b value=" Выход " onClick="location.href='main.php?act=go&level=centplosh';">
<?
}
?>
</center>
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
<BR>
<?

if($act == "profession"){
?>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc><center><B>Кадровый отдел</B></center></td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc>
<TR>
<TD>
<?
print "&nbsp&nbsp&nbspДобро пожаловать в кадровый отдел города Demons city. Здесь Вы сможете выбрать себе профессию. Вы можете иметь только одну профессию одновременно. Для того что бы сменить профессию, Вам необходимо уволиться со старой и выбрать новую профессию. Подробнее о выборе профессии и увольнении читайте в разделах \"Получить проффесию\" и \"Уволиться\" соответственно.";
?>
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
<?
}
if($act == "reg_prof"){
if(!empty($conf)){
if($db["profession"]!=""){
print "Вы уже имеете професиию! Для того чтобы получить новую профессию, Вам надо уволиться со старой профессии!";
die();
}
if($db["metka"]==""){
print "Вы не прошли паладинскую проверку! Вы не можете получить профессию!";
die();
}
if($db["level"]>=4){
	if($conf == 1){
	if($prof == "knight"){
		if($db["money"]<1000){
		print "У Вас недостаточно средств для получения этой профессии!";
		die();
		}
		else{
		$S = mysql_query("UPDATE users SET profession='knight',sila=sila+10,power=power+10,hp_all=hp_all+60,money=money-1000 WHERE login='$login'");
		print "Вы получили профессию <B>Рыцарь</B>";
		die();
		}
	}
	if($prof == "mag"){
		if($db["money"]<1300){
		print "У Вас недостаточно средств для получения этой профессии!";
		die();
		}
		else{
		$S = mysql_query("UPDATE users SET mana_all=mana_all+100,intellekt=intellekt+10,vospriyatie=vospriyatie+10,profession='mag',money=money-1300 WHERE login='$login'");
		print "Вы получили профессию <B>Маг</B>";
		die();
		}
	}
	if($prof == "trade"){
		if($db["money"]<1100){
		print "У Вас недостаточно средств для получения этой профессии!";
		die();
		}
		else{
		$S = mysql_query("UPDATE users SET trade=trade+20,maxmass=maxmass+20,profession='trade',money=money-1100 WHERE login='$login'");
		print "Вы получили профессию <B>Торговец</B>";
		die();
		}
	}
	if($prof == "doctor"){
		if($db["money"]<2000){
		print "У Вас недостаточно средств для получения этой профессии!";
		die();
		}
		else{
		$S = mysql_query("UPDATE users SET udacha=udacha+15,profession='doctor',money=money-2000,power=power+5,hp_all=hp_all+30 WHERE login='$login'");
		print "Вы получили профессию <B>Варвар</B>";
		die();
		}
	}
	if($prof == "monk"){
		if($db["money"]<900){
		print "У Вас недостаточно средств для получения этой профессии!";
		die();
		}
		else{
		$S = mysql_query("UPDATE users SET lovkost=lovkost+15,profession='monk',money=money-900,power=power+5,hp_all=hp_all+30 WHERE login='$login'");
		print "Вы получили профессию <B>Эльф</B>";
		die();
		}
	}
	}
}
else{
print "Получить профессию Вы сможете только после 4-го уровня!";
die();
}
}
if(!empty($prof)){
	if($prof == "knight"){$prof_d = "Рыцарь";}
	else if($prof == "mag"){$prof_d = "Маг";}
	else if($prof == "trade"){$prof_d = "Торговец";}
	else if($prof == "doctor"){$prof_d = "Варвар";}
	else if($prof == "monk"){$prof_d = "Эльф";}
print "Вы уверены что хотите выбрать профессию <B>$prof_d</B>?<BR>";
print "<input type=button class=but value = \" ДА \" onClick=\"javascript:location.href='cityhall.php?act=reg_prof&prof=$prof&conf=1'\">&nbsp&nbsp";
print "<input type=button class=but value = \"НЕТ\" onClick=\"javascript:location.href='cityhall.php?act=reg_prof'\">&nbsp&nbsp";
die();
}
?>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc><center><B>Получить профессию</B></center></td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc>
<TR>
<TD>
<?
print "<Center><B>ПРАВИЛА ПОЛУЧЕНИЯ ПРОФЕССИИ:</B></center>";
print "1. Получить профессию можно только после 4-го уровня, только в отделе кадров.<BR>";
print "2. Для получения профессии необходимо пройти паладинскую проверку.<BR>";
print "3. На момент получения профессии на Вашем счету должна быть необходимая сумма.<BR>";
?>
Професси:<BR>
<form action='cityhall.php?act=reg_prof' name='p' method="POST">
Выберите профессию из списка:<BR>
<input type=radio name='prof' value='knight' id='knight'><label for='knight'><B>Рыцарь</B> (1000 кр.) - +10 к силе, +10 к Выносливости</label><BR>
<input type=radio name='prof' value='mag' id='mag'><label for='mag'><B>Маг</B> (1300 кр.) - +10 к Интеллекту, +10 к Мудрости</label><BR>
<input type=radio name='prof' value='monk' id='monk'><label for='monk'><B>Эльф</B> (1100 кр.) - +15 к Ловкости, +5 к Выносливости</label><BR>
<input type=radio name='prof' value='doctor' id='doctor'><label for='doctor'><B>Варвар</B> (2000 кр.) - +15 к Интуиции, + 5 к Выносливости</label><BR>
<input type=radio name='prof' value='trade' id='trade'><label for='trade'><B>Торговец</B> (1100 кр.) - +20 к навыку Торговли, +20 к макисмальной нагрузке</label><BR>
<input type=submit class=but value="Получить профессию">
</form>
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
<?
}
if($act == "fire"){
	if($db["profession"]==""){
	print "У Вас нет професии, Вы не можете уволиться!";
	die();
	}
	else{
	$prof = $db["profession"];
	if($prof == "knight"){$prof_d = "Рыцарь";}
	else if($prof == "mag"){$prof_d = "Маг";}
	else if($prof == "trade"){$prof_d = "Торговец";}
	else if($prof == "doctor"){$prof_d = "Варвар";}
	else if($prof == "monk"){$prof_d = "Эльф";}
	if($conf==1){
	print "Вы уверены что хотите уволиться с профессии <B>$prof_d</B>?<BR>";
	print "<input type=button class=but value = \" ДА \" onClick=\"javascript:location.href='cityhall.php?act=fire&conf=2'\">&nbsp&nbsp";
	print "<input type=button class=but value = \"НЕТ\" onClick=\"javascript:location.href='cityhall.php?act=fire'\">&nbsp&nbsp";
	die();
	}
	if($conf==2){
	if($db["money"]>=100){
		if($prof=="knight"){
		$S = mysql_query("UPDATE users SET profession='',sila=sila-10,power=power-10,hp_all=hp_all-60,money=money-100 WHERE login='$login'");
		}
		if($prof=="mag"){
		$S = mysql_query("UPDATE users SET mana_all=mana_all-100,intellekt=intellekt-10,vospriyatie=vospriyatie-10,profession='',money=money-100 WHERE login='$login'");
		}
		if($prof=="trade"){
		$S = mysql_query("UPDATE users SET trade=trade-20,maxmass=maxmass-20,profession='',money=money-100 WHERE login='$login'");
		}
		if($prof=="doctor"){
		$S = mysql_query("UPDATE users SET udacha=udacha-15,profession='',money=money-100,power=power-5,hp_all=hp_all-30 WHERE login='$login'");
		}
		if($prof=="monk"){
		$S = mysql_query("UPDATE users SET lovkost=lovkost-15,profession='',money=money-100,power=power-5,hp_all=hp_all-30 WHERE login='$login'");
		}
		print "Вы уволились с професси <B>$prof_d</B>.";
		die();
	}
	else{
	print "У Вас недостаточно средств для того, чтобы уволиться!";
	}
	}
	print "Ваша текущая профессия: <B>$prof_d</B><BR>";
	print "<input type=button class=but value=\"   Уволиться(100 кр.)   \" onClick=\"javascript:location.href='cityhall.php?act=fire&conf=1'\">";
	}
}
if($act == "archive_prof"){

function showArch($prof){
$S = mysql_query("SELECT * FROM users WHERE profession='$prof' ORDER BY login ASC");
$k = 1;
	while($data = mysql_fetch_array($S)){
	$prof_name = $data["login"];
        $prof_name1 = str_replace(" ","%20",$prof_name);
	$prof_level = $data["level"];
	$clan_s = $data["clan_short"];
	$clan_f = $data["clan"];
	$orden_d = $data["orden"];
	$rang = $data["rang"];

	if($orden_d==1){$orden_dis="Белое братство";}
	else if($orden_d==2){$orden_dis="Темное братство";}
	else if($orden_d==3){$orden_dis="Нейтральное братство";}
	else if($orden_d==4){$orden_dis="Алхимик";}
	else if($orden_d==5){$orden_dis="Тюремный заключеный";}
	if(empty($clan_s)){$clan_i="";}
	else{$clan_i="<img src='img/clan/$clan_s.gif' border=0 alt='$clan_f'>";}
	if(empty($orden_d)){$orden="";}
	else{ 
if ($orden_d==2) {$orden="<img src='img/orden/arm/$rang.gif' width=12 height=15 border=0 alt='$orden_dis'>";} 
else{$orden="<img src='img/orden/$orden_d.gif' border=0 alt='$orden_dis'>";}
if ($orden_d==1) {$orden="<img src='img/orden/pal/$rang.gif' width=12 height=15 border=0 alt='$orden_dis'>";}}
	print "$k.$orden$clan_i<b>$prof_name</b>[$prof_level]<a href='info.php?log=$prof_name1' target=$prof_name><img src='img/inf.gif' border=0></a><BR>";
	$k++;
	}
	if($k == 1){
	print "Нет профессионалов в этой сфере.<BR>";
	}
}

if(empty($prof)){$prof = "";}

?>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc><center><B>Государственный Архив</B></center></td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc>
<TR>
<TD>
<?
print "Добро пожаловать в Государственный Архив! Здесь Вы можете найти списки всех профессионалов.<BR>";
print "<a href='cityhall.php?act=archive_prof&prof=knight' class=us2>Рыцари:</a><BR>";
if($prof=="knight" or empty($prof)){
showArch('knight');
}
print "<a href='cityhall.php?act=archive_prof&prof=mag' class=us2>Маги:</a><BR>";
if($prof=="mag"){
showArch('mag');
}
print "<a href='cityhall.php?act=archive_prof&prof=trade' class=us2>Торговцы:</a><BR>";
if($prof=="trade"){
showArch('trade');
}
print "<a href='cityhall.php?act=archive_prof&prof=doctor' class=us2>Варвары:</a><BR>";
if($prof=="doctor"){
showArch('doctor');
}
print "<a href='cityhall.php?act=archive_prof&prof=monk' class=us2>Эльфы:</a><BR>";
if($prof=="monk"){
showArch('monk');
}
?>
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
<?
}
?>

